Bug 100163 - Log file not recognized - patch included
Summary: Log file not recognized - patch included
Status: RESOLVED FIXED
Alias: None
Product: kmines
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: Hadacek Nicolas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-24 15:10 UTC by Tobias Meyer
Modified: 2005-08-25 23:13 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Meyer 2005-02-24 15:10:05 UTC
Version:           2.1.9 (5 Aug 2004) (using KDE 3.3.2, compiled sources)
Compiler:          gcc version 3.3.4
OS:                Linux (i686) release 2.6.10-ck5

Move -> Load Log gives me the error message "Log file not recognized." It seems height and width got mixed up in the checkLog method.

--- status.cpp.orig     2005-02-24 14:40:47.000000000 +0100
+++ status.cpp  2005-02-24 14:44:51.000000000 +0100
@@ -421,9 +421,9 @@
         QDomElement a = actions.item(i).toElement();
         if ( a.isNull() ) return false;
         uint i0 = a.attribute("line").toUInt(&ok);
-        if ( !ok || i0>=w ) return false;
+        if ( !ok || i0>=h ) return false;
         uint j = a.attribute("column").toUInt(&ok);
-        if ( !ok || j>=h ) return false;
+        if ( !ok || j>=w ) return false;
         QString type = a.attribute("type");
         uint k = 0;
         for (; k<Field::Nb_Actions; k++)
Comment 1 Hadacek Nicolas 2005-08-25 23:13:57 UTC
(finally) fixed in svn tree... thanks !!